Message: GEANT4 installation on SL4 64 bit Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question GEANT4 installation on SL4 64 bit 

Forum: Installation and Configuration
Date: 15 Oct, 2008
From: Emanuele Leonardi <Emanuele Leonardi>

I just installed the latest version of G4 (9.1.p03) to a node running the x86_64 version of SL4.7. I started from the source code in order to enable my preferred list of graphical interfaces.

After finishing the installation I noticed that I could not link my applications as the linker was looking for X libs in the /usr/X11R6/lib directory rather than in /usr/X11R6/lib64.

After looking around the web for a while, the only way I could find to get around this problem was to manually edit the Linux-g++.gmk file in ${G4INSTALL}/config/sys and add the "64" postfix to the library paths, i.e.

...
#    X11LIBS   := -L/usr/X11R6/lib  -lXmu -lXt -lXext -lX11 -lSM -lICE
    X11LIBS   := -L/usr/X11R6/lib64  -lXmu -lXt -lXext -lX11 -lSM -lICE
...
#    OGLLIBS   := -L$(OGLHOME)/lib -lGLU -lGL
    OGLLIBS   := -L$(OGLHOME)/lib64 -lGLU -lGL
...

Everything works fine now, but I wonder if there is a way to get to the same result in an automatic way when installing the package.

Cheers
              Emanuele Leonardi

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: GEANT4 installation on SL4 64 bit   (Ben Morgan - 15 Oct, 2008)
 Add Message Add Message
to: "GEANT4 installation on SL4 64 bit"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]